package org.gcube.portlets.user.reportgenerator.client.targets;

import java.util.ArrayList;

import org.gcube.portlets.d4sreporting.common.shared.RepeatableSequence;
import org.gcube.portlets.user.reportgenerator.client.model.TemplateComponent;

public interface ClientSequence {
	
	 ArrayList<TemplateComponent> getGroupedComponents();
	
	boolean add(RepeatableSequence sequence);
	
	SequenceWidget remove(SequenceWidget toRemove);
}
